lkml.org 
[lkml]   [2020]   [Oct]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [RESEND PATCH v2 1/2] bindings: pm8941-misc: Convert to YAML and add support for VBUS detection
On Tue, 20 Oct 2020 15:17:24 -0700, Guru Das Srinagesh wrote:
> From: Anirudh Ghayal <aghayal@codeaurora.org>
>
> Convert bindings to YAML. Also add compatible string that adds support
> for reporting the VBUS status that can be detected via a dedicated PMIC
> pin.
>
> Signed-off-by: Anirudh Ghayal <aghayal@codeaurora.org>
> Signed-off-by: Guru Das Srinagesh <gurus@codeaurora.org>
> ---
> .../bindings/extcon/qcom,pm8941-misc.txt | 41 ----------------
> .../bindings/extcon/qcom,pm8941-misc.yaml | 56 ++++++++++++++++++++++
> 2 files changed, 56 insertions(+), 41 deletions(-)
> delete mode 100644 Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.txt
> create mode 100644 Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.yaml
>


My bot found errors running 'make dt_binding_check' on your patch:

/builds/robherring/linux-dt-review/Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.yaml: properties:compatible:oneOf:0:const: ['qcom,pm8941-misc', 'qcom,pmd-vbus-det'] is not of type 'string'
/builds/robherring/linux-dt-review/Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.yaml: properties:interrupt-names:anyOf:0:const: ['usb_id', 'usb_vbus'] is not of type 'string'
/builds/robherring/linux-dt-review/Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.yaml: ignoring, error in schema: properties: compatible: oneOf: 0: const
warning: no schema found in file: ./Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.yaml
Error: Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.example.dts:23.49-50 syntax error
FATAL ERROR: Unable to parse input tree
make[1]: *** [scripts/Makefile.lib:342: Documentation/devicetree/bindings/extcon/qcom,pm8941-misc.example.dt.yaml] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile:1366: dt_binding_check] Error 2


See https://patchwork.ozlabs.org/patch/1385252

The base for the patch is generally the last rc1. Any dependencies
should be noted.

If you already ran 'make dt_binding_check' and didn't see the above
error(s), then make sure 'yamllint' is installed and dt-schema is up to
date:

pip3 install dtschema --upgrade

Please check and re-submit.

\
 
 \ /
  Last update: 2020-10-21 16:50    [W:0.086 / U:1.868 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site